Skip to main content
GET
/
api
/
decks
/
{deckId}
Get a deck
curl --request GET \
  --url https://app.demandiq.com/api/decks/{deckId}
{
  "deck": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "Solar Roof Pitch",
    "description": "<string>",
    "type": "structured",
    "isActive": true,
    "metadata": {},
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "slides": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "slideId": "<string>",
      "title": "<string>",
      "bullets": [
        "<string>"
      ],
      "narrationScript": "<string>",
      "slideContext": "<string>",
      "audioUrl": "<string>",
      "heroImg": "<string>",
      "wordTimings": [
        {
          "word": "<string>",
          "startTime": 123,
          "endTime": 123
        }
      ],
      "orderIndex": 123,
      "slideType": "standard",
      "productData": {
        "subtitle": "<string>",
        "brandLogo": "<string>",
        "disclaimer": "<string>",
        "defaultSelectedTier": "good",
        "backgroundColor": "<string>",
        "selectionColor": "<string>",
        "roundTo": 123,
        "good": {},
        "better": {},
        "best": {}
      }
    }
  ],
  "faqs": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "deckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "userQuestion": "<string>",
      "cannedAnswer": "<string>",
      "relatedSlideId": "<string>",
      "audioUrl": "<string>",
      "wordTimings": [
        {
          "word": "<string>",
          "startTime": 123,
          "endTime": 123
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "branding": {
    "name": "<string>",
    "logo": "<string>",
    "avatar": "<string>",
    "chatName": "<string>",
    "chatGreeting": "<string>",
    "palette": {
      "primary": "<string>",
      "primaryLight": "<string>",
      "accent": "<string>",
      "neutral": "<string>",
      "text": "<string>"
    },
    "fonts": {},
    "cta": {
      "headline": "<string>",
      "body": "<string>",
      "buttonText": "<string>"
    },
    "contact": {},
    "loi": {}
  },
  "qaSettings": {
    "resumePromptText": "<string>",
    "resumePromptAudioUrl": "<string>",
    "resumePromptWordTimings": [
      {
        "word": "<string>",
        "startTime": 123,
        "endTime": 123
      }
    ],
    "transitionPromptText": "<string>",
    "transitionPromptAudioUrl": "<string>",
    "transitionPromptWordTimings": [
      {
        "word": "<string>",
        "startTime": 123,
        "endTime": 123
      }
    ]
  },
  "presentationsCount": 12
}

Path Parameters

deckId
string<uuid>
required

Deck ID

Response

Deck details

deck
object
slides
object[]
faqs
object[]
branding
object
qaSettings
object
presentationsCount
integer
Example:

12